/* base y alternativo*/
.dt-button {
    font-size: 14px !important;
    background: #232c61 !important;
    color: white !important;

     /* Ajusta el tamaño del texto según lo necesites */
}
.dt-button:hover {
  box-shadow: inset 400px 0 0 0 #80B0DE;
  color: #232c61 !important;
  /*color: #ffffff;*/
}
/*paginate_button*/
.paginate_button {
    font-size: 15px !important;
    background: #ffffff !important;
    color: #232c61 !important;

     /* Ajusta el tamaño del texto según lo necesites */
}
.paginate_button:hover {
  box-shadow: inset 400px 0 0 0 #80B0DE;
  color: #232c61 !important;
  /*color: #ffffff;*/
}


.btnCaja{
  background-color: #232c61; /* Green */
  border: none;
  color: white;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
}

.btnCaja:hover {
  box-shadow: inset 400px 0 0 0 #80B0DE;
  /*color: #ffffff;*/
}
/* alternativo y base*/
.btnCaja2{
  background-color: #80B0DE; /* Green */
  border: none;
  color: white;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
}
.btnCaja2:hover {
  box-shadow: inset 400px 0 0 0 #232c61;
  /*color: #252c61;*/
}
/* alternativo y base*/
.btnCaja3{
  background-color:#232c61 ; /* Green */
  border: none;
  /*color: white;*/
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
}
.btnCaja3:hover {
  box-shadow: inset 400px 0 0 0 #232c61;
  /*color: #252c61;*/
}
/* para lista en tabla mostrar/editar*/
.btnListaTablaEditar{
  background-color: #80B0DE; /* Green */
  border: none;
  border-radius: 5px;
  color: white;
  padding: 8px 16px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 14px;
}
.btnListaTablaEditar:hover {
  box-shadow: inset 400px 0 0 0 #252c61;
  /*color: #252c61;*/
}
/* para lista en tabla mostrar/editar*/
.btnListaT{
  background-color: #80B0DE; /* Green */
  border: none;
  border-radius: 5px;
  color: white;
  padding: 8px 16px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 12px;
}
.btnListaT:hover {
  box-shadow: inset 400px 0 0 0 #252c61;
  /*color: #252c61;*/
}

/* para lista en tabla mostrar/editar*/
.btnListaTablaCud{
  background-color: #CB3717; /* Green */
  border: none;
  border-radius: 5px;
  color: white;
  padding: 8px 16px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 14px;
}
.btnListaTablaCud:hover {
  box-shadow: inset 400px 0 0 0 #F3AA9A;
  /*color: #252c61;*/
}



/* para lista en tabla aceptar*/
.btnListaTablaAceptar{
  background-color: #232c61; /* Green */
  border: none;
  color: white;
  padding: 8px 16px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 14px;
}
.btnListaTablaAceptar:hover {
  box-shadow: inset 400px 0 0 0 #80B0DE;
  /*color: #252c61;*/
}

/* para lista en tabla eliminar*/
.btnListaTablaEliminar{
  background-color: #232c61; /* Green */
  border: none;
  color: white;
  padding: 8px 16px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 14px;
}
.btnListaTablaEliminar:hover {
  /*box-shadow: inset 400px 0 0 0 #252c61;
  color: #252c61;*/
  transform: translateX(0.15em);
}
.btnListaTablaEliminar2{
  background-color: #232c61; /* Green */
  border: none;
  color: white;
  padding: 6px 14px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 12px;
}
.btnListaTablaEliminar2:hover {
  /*box-shadow: inset 400px 0 0 0 #252c61;
  color: #252c61;*/
  transform: translateX(0.15em);
}




/* titulo manual*/
.h1Caja{
	color: white;
}
.h1Caja:hover {
    transform: translateX(0.15em);
    font-size: 38px;
}
.aCaja{
  background-color: #232c61;
}
.boxCaja{
  background: #80B0DE; 
  color: #252c61; 
  opacity: 0.95;
  font-size: 15px;
}
.boxCajaOscuro{
  background: #232c61; 
  color: #80B0DE; 
  opacity: 0.95;
}
.boxCajaVuelo{
  background: #f2f2f2; 
  color: #252c61; 
  opacity: 0.95;
  font-size: 15px;
}

.boxCajaClaro{
  background: #F8F8F8; 
   color:#252c61;
  opacity: 0.95;
  
}

.spinner{
  color: #232c61;
}
/*vuelo*/
.vuelo{
  background: #80B0DE; 
  color: #252c61; 
  opacity: 0.95;
  font-size: 18px;
   text-transform:uppercase;
  }
.aCajaFooter{
  /*background: #80B0DE; */
  color: #252c61  ; 
  opacity: 0.95;
  font-size: 15px;
}
.aCajaFooter:hover {
    /*transform: translateX(0.15em);
    font-size: 38px;*/
    color: #F8F8F8;
}
@media (max-width: 767px) {

 .btnListaTablaEliminar{
    margin-top: 18px;    
  }
  .btnListaT{
    margin-top: 5px; 
  }
  .btnListaTablaEditar{
    margin-top: 5px;
  }
  .btnListaTablaEliminar2{
    margin-top: 5px;
  }
  .btnListaTablaAceptar{
    margin-top: 5px;
  }
  

}
.texto {
  font-size:18px;
  font-family:helvetica;
  font-weight:bold;
  color:#252c61;
  text-transform:uppercase;
}
.parpadea {
  
  animation-name: parpadeo;
  animation-duration: 1s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;

  -webkit-animation-name:parpadeo;
  -webkit-animation-duration: 1s;
  -webkit-animation-timing-function: linear;
  -webkit-animation-iteration-count: infinite;
}

@-moz-keyframes parpadeo{  
  0% { opacity: 1.0; }
  50% { opacity: 0.0; }
  100% { opacity: 1.0; }
}

@-webkit-keyframes parpadeo {  
  0% { opacity: 1.0; }
  50% { opacity: 0.0; }
   100% { opacity: 1.0; }
}

@keyframes parpadeo {  
  0% { opacity: 1.0; }
   50% { opacity: 0.0; }
  100% { opacity: 1.0; }
}
.modalD {
  display: none; /* Ocultar el modal por defecto */
  position: fixed; /* Posición fija */
  z-index: 1; /* Coloca el modal sobre el contenido */
  left: 0;
  top: 20;
  width: 100%; /* Ancho completo */
  height: 100%; /* Altura completa */
  overflow: auto; /* Añadir desplazamiento si es necesario */
  background-color: rgba(0,0,0,0.4); /* Fondo semi-transparente */
}
.modalS {
  display: none; /* Ocultar el modal por defecto */
  position: fixed; /* Posición fija */
  z-index: 1; /* Coloca el modal sobre el contenido */
  left: 0;
  top: 0;
  width: 100%; /* Ancho completo */
  height:100%; /* Altura completa */
  /*overflow: auto;  Añadir desplazamiento si es necesario */
  background-color: rgba(0,0,0,0.4); /* Fondo semi-transparente */
}
.modalF {
  display: none; /* Ocultar el modal por defecto */
  position: fixed; /* Posición fija */
  z-index: 1; /* Coloca el modal sobre el contenido */
  margin-top: 0% auto;
  margin-left: 0%;
  width: 100%; /* Ancho completo */
  height: 100%; /* Altura completa */
  /*overflow: auto;  Añadir desplazamiento si es necesario */
  background-color: #fefefe;  /* Fondo semi-transparente */
}
/*modalAct*/
.modalAct {
  display: none; /* Ocultar el modal por defecto */
  position: fixed; /* Posición fija */
  z-index: 1; /* Coloca el modal sobre el contenido */
  margin-top: 1% auto;
  
  width: 100%; /* Ancho completo */
  height: 100%; /* Altura completa */
  /*overflow: auto;  Añadir desplazamiento si es necesario */
  background-color: #fefefe;  /* Fondo semi-transparente */
}
.modalDescara {
  display: none; /* Ocultar el modal por defecto */
  position: fixed; /* Posición fija */
  z-index: 1; /* Coloca el modal sobre el contenido */
  left: 0;
  top: 0;
  width: 100%; /* Ancho completo */
  height: 100%; /* Altura completa */
  overflow: auto; /* Añadir desplazamiento si es necesario */
  background-color: rgba(0,0,0,0.4); /* Fondo semi-transparente */
}
.modalSol{
  display: none; /* Ocultar el modal por defecto */
  position: fixed; /* Posición fija */
  z-index: 1000; /* Z-index inicial */
  left: 0;
  top: 0;
  width: 100%; /* Ancho completo */
  height:100%; /* Altura completa */
  /*overflow: auto;  Añadir desplazamiento si es necesario */
  background-color: rgba(0,0,0,0.4); /* Fondo semi-transparente */
}

/* Estilo del contenido del modal */
.modalD-content {
  background-color: #fefefe;
  margin: 40px auto; /* Centrar el modal verticalmente */
  margin-left: 80px auto;
  padding: 10px;
  border: 1px solid #888;
  width: 60%; /* Ancho del contenido */
  height: 20%; /* alto del contenido */

}
.modalF-content {
  background-color: #80B0DE;
  margin: 40px auto; /* Centrar el modal verticalmente */
  
  padding: 20px;
  border: 1px solid #888;
  width: 50%; /* Ancho del contenido */
  height: 100%; /* alto del contenido */
  z-index: 1000000;
}
.modalDes-content {
  background-color: #fefefe;
  margin: 50px auto; /* Centrar el modal verticalmente */
  margin-top: 10%;
  padding: 20px;
  border: 1px solid #888;
  width: 50%; /* Ancho del contenido */
  height: 20%; /* alto del contenido */
}
#spinner {
    display: none;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    
}
 #spinnerO {
            display: none;
            border: 4px solid rgba(0, 0, 0, 0.1);
            border-radius: 50%;
            border-top: 4px solid #3498db;
            width: 40px;
            height: 40px;
            animation: spin 1s linear infinite;
            position: absolute;
            top: 50%;
            left: 50%;
            margin-top: -20px;
            margin-left: -20px;
        }
        .spinnerD{
          display: none;
            border: 4px solid rgba(0, 0, 0, 0.1);
            border-radius: 50%;
            border-top: 4px solid #3498db;
            width: 40px;
            height: 10px;
            animation: spin 1s linear infinite;
            position: absolute;
            top: 50%;
            left: 80%;
            margin-top: -20px;
            margin-left: -50px;
        }
         .spinnerF{
          display: none;
            border: 4px solid rgba(0, 0, 0, 0.6);
            border-radius: 50%;
            border-top: 4px solid #3498db;
            width: 100%;
            height: 100%;
            animation: spin 1s linear infinite;
            position: absolute;
            top: -20%;
            left: -50%;
           /* margin-top: -20px;
            margin-left: -50px;*/
            background-color: #3498db;
        }
         .spinnerDescarga{
          display: none;
            border: 4px solid rgba(0, 0, 0, 0.1);
            border-radius: 50%;
            border-top: 4px solid #3498db;
            width: 120px;
            height: 90px;
            animation: spin 1s linear infinite;
            position: absolute;
            top: 1%;
            left: 20%;
            margin-top: -20px;
            margin-left: -50px;
        }

.spinner-icon {
    color: #252c61; /* Color del icono del spinner */
}
        @keyframes spin {
            0% { transform: rotate(0deg); }
            100% { transform: rotate(360deg); }
        }

        .boxCaja_vuelo{
          background: #80B0DE; 
          color: #252c61; 
          opacity: 0.95;
          font-size: 15px;
        }


